/*
 * Copyright (c) 2010 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.converters;

import java.util.Calendar;
import java.util.Locale;

import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormatter;

public class CalendarConverter implements Converter<Calendar>{
    
    private final DateTimeConverter dateTimeConverter;
    
    public CalendarConverter(DateTimeFormatter formatter){
        this.dateTimeConverter = new DateTimeConverter(formatter);
    }
    
    public CalendarConverter(){
        this.dateTimeConverter = new DateTimeConverter();
    }
    
    @Override
    public Calendar fromString(String str) {
        return dateTimeConverter.fromString(str).toCalendar(Locale.getDefault());     
    }

    @Override
    public String toString(Calendar object) {
        DateTime dateTime = new DateTime(object.getTimeInMillis());
        return dateTimeConverter.toString(dateTime);
    }

    @Override
    public Class<Calendar> getJavaType() {
        return Calendar.class;
    }
    
}
