/*
 * Copyright (c) 2010 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.converters;

import org.joda.time.LocalDate;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;
import org.joda.time.format.ISODateTimeFormat;

public class LocalDateConverter implements Converter<LocalDate> {

    private final DateTimeFormatter fromStringFmt = ISODateTimeFormat.dateTimeParser().withOffsetParsed();
    
    private final DateTimeFormatter toStringFmt = DateTimeFormat.forPattern("yyyy-MM-ddZ").withOffsetParsed();
    
    @Override
    public LocalDate fromString(String str) {
        return fromStringFmt.parseDateTime(str).toLocalDate();
    }

    @Override
    public String toString(LocalDate object) {
        return toStringFmt.print(object);
    }

    @Override
    public Class<LocalDate> getJavaType() {
        return LocalDate.class;
    }

}
