/*
 * Copyright (c) 2010 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.converters;

import java.sql.Timestamp;

import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormatter;

public class TimestampConverter implements Converter<Timestamp>{
    
    private final DateTimeConverter dateTimeConverter; 
    
    public TimestampConverter(DateTimeFormatter formatter){
        this.dateTimeConverter = new DateTimeConverter(formatter);
    }
    
    public TimestampConverter(){
        this.dateTimeConverter = new DateTimeConverter();
    }
    
    @Override
    public Timestamp fromString(String str) {
        return new Timestamp(dateTimeConverter.fromString(str).getMillis());
    }

    @Override
    public String toString(Timestamp object) {
        DateTime dateTime = new DateTime(object);
        return dateTimeConverter.toString(dateTime);
    }

    @Override
    public Class<Timestamp> getJavaType() {
        return Timestamp.class;
    }
    
}
