/*
 * Copyright (c) 2010 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.converters;

import java.net.URI;
import java.net.URISyntaxException;

public class URIConverter  extends AbstractConverter<URI> {

    @Override
    public URI fromString(String str) {
        try {
            return new URI(str);
        } catch (URISyntaxException e) {
            String error = "Caught " + e.getClass().getName();
            throw new IllegalArgumentException(error, e);
        }
    }

    @Override
    public Class<URI> getJavaType() {
        return URI.class;
    }

}
