/*
 * Copyright (c) 2010 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.converters;

import java.util.Date;

import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormatter;

public class UtilDateConverter implements Converter<Date>{
    
    private final DateTimeConverter dateTimeConverter; 
    
    public UtilDateConverter(DateTimeFormatter formatter){
        dateTimeConverter = new DateTimeConverter(formatter);
    }
    
    public UtilDateConverter(){
        dateTimeConverter = new DateTimeConverter();
    }
    
    @Override
    public Date fromString(String str) {
        return dateTimeConverter.fromString(str).toDate();     
    }

    @Override
    public String toString(Date object) {
        DateTime dateTime = new DateTime(object);
        return dateTimeConverter.toString(dateTime);        
    }

    @Override
    public Class<Date> getJavaType() {
        return Date.class;
    }
    
}
