/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.converters;

import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

public enum YMDDateTimeConverter implements Converter<DateTime>{
    
    DAY("yyyyMMdd"),

    HOUR("yyMMddHH"),

    MILLISECOND("yyMMddHHmmssSSS"),

    MINUTE("yyMMddHHmm"),

    MONTH("yyyyMM"),

    SECOND("yyMMddHHmmss"),

    YEAR("yyyy");

    private final transient DateTimeFormatter formatter;
    
    YMDDateTimeConverter(String pattern) {
        this.formatter = DateTimeFormat.forPattern(pattern);
    }
    
    @Override
    public DateTime fromString(String str) {
        return formatter.parseDateTime(str);
    }

    @Override
    public String toString(DateTime object) {
        return formatter.print(object);
    }

    @Override
    public Class<DateTime> getJavaType() {
        return DateTime.class;
    }

}
